#1599 closed defect (fixed)

change _Context_Switch_necessary to _Thread_Dispatch_necessary

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

This PR affects all architectures, and addresses a change made as part of the per-cpu patch to the naming of some variables. This patch changes the macro _Context_Switch_necessary to _Dispatch_needed, to more accurately reflect the notion of a dispatch rather than a simple context switch. When the _Dispatch_needed flag is set, the Thread_Dispatch routine should eventually be executed.

Built and tested on pc386 BSP on QEMU. hello and ticker run.

Attachments (3)

dispatchneeded.diff (22.8 KB) - added by Gedare Bloom on Jul 1, 2010 at 3:12:52 PM.
changes the macro _Context_Switch_necessary to _Dispatch_needed
dispatchnecessary.diff (23.7 KB) - added by Gedare Bloom on Jul 8, 2010 at 3:48:56 PM.
Replaces _Context_Switch_necessary with _Thread_Dispatch_necessary.
rtems-cvs.diff (23.0 KB) - added by Gedare Bloom on Jul 30, 2010 at 3:23:01 PM.
Replaces _Context_Switch_necessary with _Thread_Dispatch_necessary.

Download all attachments as: .zip

Change History (10)

Changed on Jul 1, 2010 at 3:12:52 PM by Gedare Bloom

Attachment: dispatchneeded.diff added

changes the macro _Context_Switch_necessary to _Dispatch_needed

comment:1 Changed on Jul 5, 2010 at 6:04:16 AM by Sebastian Huber

Cc: Sebastian Huber added

Changed on Jul 8, 2010 at 3:48:56 PM by Gedare Bloom

Attachment: dispatchnecessary.diff added

Replaces _Context_Switch_necessary with _Thread_Dispatch_necessary.

comment:2 Changed on Jul 8, 2010 at 3:48:56 PM by Gedare Bloom

attachments.isobsolete: 01

comment:3 Changed on Jul 8, 2010 at 3:49:51 PM by Gedare Bloom

Summary: change _Context_Switch_necessary to _Dispatch_neededchange _Context_Switch_necessary to _Thread_Dispatch_necessary

Changed on Jul 30, 2010 at 3:23:01 PM by Gedare Bloom

Attachment: rtems-cvs.diff added

Replaces _Context_Switch_necessary with _Thread_Dispatch_necessary.

comment:4 Changed on Jul 30, 2010 at 3:23:01 PM by Gedare Bloom

attachments.isobsolete: 01

comment:5 Changed on Jul 30, 2010 at 5:26:43 PM by Gedare Bloom

blocked: 1647

comment:6 Changed on Aug 6, 2010 at 8:21:54 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Appears to be fine in full BSP builds.

comment:7 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.